Skip to main content

Geostatistics Task API

Version: 0.1.9
Preview

K-Nearest neighbors (KNN)

POST
/compute/orgs/{org_id}/geostat/knn

For more information, please read the guide

Request

Path parameters

The organisation identifier

Body parameters
type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name
type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

Examples: "example string", "another example"

A Geoscience object:

  • Pointset_V1_0_1
  • Pointset_V1_1_0
  • Pointset_V1_2_0
  • Pointset_V1_3_0
  • DownholeIntervals_V1_0_1
  • DownholeIntervals_V1_1_0
  • DownholeIntervals_V1_2_0
  • DownholeIntervals_V1_3_0
  • Regular3DGrid_V1_0_1
  • Regular3DGrid_V1_1_0
  • Regular3DGrid_V1_2_0
  • Regular3DGrid_V1_3_0
  • RegularMasked3DGrid_V1_0_1
  • RegularMasked3DGrid_V1_1_0
  • RegularMasked3DGrid_V1_2_0
  • RegularMasked3DGrid_V1_3_0

A Geoscience object:

  • ContinuousAttribute
type"element"
Default: "element"

Examples: "example string", "another example"

The attribute path that contains the values to be processed. It must contain the full path and the filter e.g:

  • /cell_attributes/@name=attr-name
  • /locations/attributes/@name=attr-name
max-samplesinteger
Required

Range: >= 1

Examples: 29, 72, 82, 88, 89

majornumber
Required

Examples: 16.26541, 38.01262, 45.34103, 83.41104, 86.64837

semi_majornumber
Required

Examples: 7.14025, 35.52707, 67.01752, 68.35477, 70.18203

minornumber
Required

Examples: 24.48109, 26.99478, 46.22602, 53.41399, 63.49783

dip_azimuthnumber
Required

Examples: 13.833, 36.2, 49.352, 58.353, 99.733

dipnumber
Required

Examples: 15.284, 15.998, 68.048, 75.578, 86.11

pitchnumber
Required

Examples: 25.141, 38.477, 46.805, 59.589, 59.641

{
"source": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"target": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
},
"neighborhood": {
"max-samples": 0,
"anisotropy": {
"ellipsoid_ranges": {
"major": 0,
"semi_major": 0,
"minor": 0
},
"rotation": {
"dip_azimuth": 0,
"dip": 0,
"pitch": 0
}
}
}
}

Responses

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: "example string", "another example"

Concise summary of the completed job

Modified geoscience object

type"geoscience-object-reference"

Examples: "example string", "another example"

Default: "geoscience-object-reference"

key of the attribute you want to save/retrieve the data to/from.

object_referencestring

Examples: "example string", "another example"

object_elementGORefElement[] | null
{
"message": "string",
"object_modified": {
"type": "geoscience-object-reference",
"key": "string",
"object_reference": "string",
"object_element": [
{
"type": "element",
"path": "string"
}
]
}
}

303

303 response, see Compute API Execute Task documentation for more details

What is the reason for your feedback?